diff --git a/php/bin/diskspace b/php/bin/diskspace
index 9e22585..40b768a 100755
--- a/php/bin/diskspace
+++ b/php/bin/diskspace
@@ -1,3 +1,4 @@
+#!/bin/bash
 STR=`df`
 
 for i in $STR; do
diff --git a/php/bin/freemem b/php/bin/freemem
index ce81901..f688c9d 100755
--- a/php/bin/freemem
+++ b/php/bin/freemem
@@ -1,2 +1,3 @@
+#!/bin/bash
 STR=`free | grep Mem:`
 echo $STR 
diff --git a/php/bin/freeswap b/php/bin/freeswap
index 9d1e241..d1ba490 100755
--- a/php/bin/freeswap
+++ b/php/bin/freeswap
@@ -1,2 +1,3 @@
+#!/bin/bash
 STR=`free | grep Swap:`
 echo $STR 
diff --git a/php/bin/fsusage b/php/bin/fsusage
index fe03d2b..1d1d0c5 100755
--- a/php/bin/fsusage
+++ b/php/bin/fsusage
@@ -1,2 +1,3 @@
+#!/bin/bash
 FS=`df -P -h | grep "/" | grep -v devfs`
 echo $FS
\ No newline at end of file
diff --git a/php/bin/getntlmgroups b/php/bin/getntlmgroups
index 91e81a5..a5efc64 100755
--- a/php/bin/getntlmgroups
+++ b/php/bin/getntlmgroups
@@ -1,2 +1,3 @@
+#!/bin/bash
 export LANG=$1
 wbinfo -g | tr '\n' '|'
diff --git a/php/bin/getntlmusers b/php/bin/getntlmusers
index 1b62b19..e3d99c4 100755
--- a/php/bin/getntlmusers
+++ b/php/bin/getntlmusers
@@ -1,2 +1,3 @@
+#!/bin/bash
 export LANG=$1
 wbinfo -u | tr '\n' '|'
diff --git a/php/bin/getwbinfousers b/php/bin/getwbinfousers
index ba0025e..d3fa2f5 100755
--- a/php/bin/getwbinfousers
+++ b/php/bin/getwbinfousers
@@ -1,3 +1,4 @@
+#!/bin/bash
 #STR=`$1/wbinfo -u`
 STR=`$1/wbinfo -u`
 echo $STR
\ No newline at end of file
diff --git a/php/bin/ntlm_auth b/php/bin/ntlm_auth
index 84163d2..2970f1f 100755
--- a/php/bin/ntlm_auth
+++ b/php/bin/ntlm_auth
@@ -1 +1,2 @@
+#!/bin/bash
 $1/ntlm_auth --helper-protocol=squid-2.5-basic
diff --git a/php/bin/samsdf b/php/bin/samsdf
index 493603a..ffcc868 100755
--- a/php/bin/samsdf
+++ b/php/bin/samsdf
@@ -1 +1,2 @@
+#!/bin/bash
 df -P -h | grep -v devfs
diff --git a/php/bin/testwbinfopasswd b/php/bin/testwbinfopasswd
index 7c2052d..11ea2e4 100755
--- a/php/bin/testwbinfopasswd
+++ b/php/bin/testwbinfopasswd
@@ -1,3 +1,4 @@
+#!/bin/bash
 AAA=`$1/wbinfo -a $2%"$3"`
 
 echo $AAA
diff --git a/php/bin/updateuserlist b/php/bin/updateuserlist
index 120ab2d..54dc811 100755
--- a/php/bin/updateuserlist
+++ b/php/bin/updateuserlist
@@ -1 +1,2 @@
+#!/bin/bash
 echo $1 >> ./data/userlist
diff --git a/php/bin/uptime b/php/bin/uptime
index 9f9e981..531515a 100755
--- a/php/bin/uptime
+++ b/php/bin/uptime
@@ -1,2 +1,3 @@
+#!/bin/bash
 #uptime
 uptime | cut -d',' -f 1 
diff --git a/php/bin/syncfromad b/php/bin/syncfromad
index a408dbc..80ec1b5 100755
--- a/php/bin/syncfromad
+++ b/php/bin/syncfromad
@@ -1,3 +1,4 @@
+#!/usr/bin/perl
 <?php
 /*  
  * SAMS (Squid Account Management System)
diff --git a/php/bin/syncfromldap b/php/bin/syncfromldap
index e024524..175724e 100755
--- a/php/bin/syncfromldap
+++ b/php/bin/syncfromldap
@@ -1,3 +1,4 @@
+#!/usr/bin/perl
 <?php
 /*  
  * SAMS (Squid Account Management System)
diff --git a/php/bin/syncfromntlm b/php/bin/syncfromntlm
index 896d59f..9e5d0bd 100755
--- a/php/bin/syncfromntlm
+++ b/php/bin/syncfromntlm
@@ -1,3 +1,4 @@
+#!/usr/bin/perl
 <?php
 /*  
  * SAMS (Squid Account Management System)
diff --git a/sams2.shebang.patch b/sams2.shebang.patch
new file mode 100644
index 0000000..64bccaf
--- /dev/null
+++ b/sams2.shebang.patch
@@ -0,0 +1,98 @@
+diff --git a/php/bin/diskspace b/php/bin/diskspace
+index 9e22585..40b768a 100755
+--- a/php/bin/diskspace
++++ b/php/bin/diskspace
+@@ -1,3 +1,4 @@
++#!/bin/bash
+ STR=`df`
+ 
+ for i in $STR; do
+diff --git a/php/bin/freemem b/php/bin/freemem
+index ce81901..f688c9d 100755
+--- a/php/bin/freemem
++++ b/php/bin/freemem
+@@ -1,2 +1,3 @@
++#!/bin/bash
+ STR=`free | grep Mem:`
+ echo $STR 
+diff --git a/php/bin/freeswap b/php/bin/freeswap
+index 9d1e241..d1ba490 100755
+--- a/php/bin/freeswap
++++ b/php/bin/freeswap
+@@ -1,2 +1,3 @@
++#!/bin/bash
+ STR=`free | grep Swap:`
+ echo $STR 
+diff --git a/php/bin/fsusage b/php/bin/fsusage
+index fe03d2b..1d1d0c5 100755
+--- a/php/bin/fsusage
++++ b/php/bin/fsusage
+@@ -1,2 +1,3 @@
++#!/bin/bash
+ FS=`df -P -h | grep "/" | grep -v devfs`
+ echo $FS
+\ No newline at end of file
+diff --git a/php/bin/getntlmgroups b/php/bin/getntlmgroups
+index 91e81a5..a5efc64 100755
+--- a/php/bin/getntlmgroups
++++ b/php/bin/getntlmgroups
+@@ -1,2 +1,3 @@
++#!/bin/bash
+ export LANG=$1
+ wbinfo -g | tr '\n' '|'
+diff --git a/php/bin/getntlmusers b/php/bin/getntlmusers
+index 1b62b19..e3d99c4 100755
+--- a/php/bin/getntlmusers
++++ b/php/bin/getntlmusers
+@@ -1,2 +1,3 @@
++#!/bin/bash
+ export LANG=$1
+ wbinfo -u | tr '\n' '|'
+diff --git a/php/bin/getwbinfousers b/php/bin/getwbinfousers
+index ba0025e..d3fa2f5 100755
+--- a/php/bin/getwbinfousers
++++ b/php/bin/getwbinfousers
+@@ -1,3 +1,4 @@
++#!/bin/bash
+ #STR=`$1/wbinfo -u`
+ STR=`$1/wbinfo -u`
+ echo $STR
+\ No newline at end of file
+diff --git a/php/bin/ntlm_auth b/php/bin/ntlm_auth
+index 84163d2..2970f1f 100755
+--- a/php/bin/ntlm_auth
++++ b/php/bin/ntlm_auth
+@@ -1 +1,2 @@
++#!/bin/bash
+ $1/ntlm_auth --helper-protocol=squid-2.5-basic
+diff --git a/php/bin/samsdf b/php/bin/samsdf
+index 493603a..ffcc868 100755
+--- a/php/bin/samsdf
++++ b/php/bin/samsdf
+@@ -1 +1,2 @@
++#!/bin/bash
+ df -P -h | grep -v devfs
+diff --git a/php/bin/testwbinfopasswd b/php/bin/testwbinfopasswd
+index 7c2052d..11ea2e4 100755
+--- a/php/bin/testwbinfopasswd
++++ b/php/bin/testwbinfopasswd
+@@ -1,3 +1,4 @@
++#!/bin/bash
+ AAA=`$1/wbinfo -a $2%"$3"`
+ 
+ echo $AAA
+diff --git a/php/bin/updateuserlist b/php/bin/updateuserlist
+index 120ab2d..54dc811 100755
+--- a/php/bin/updateuserlist
++++ b/php/bin/updateuserlist
+@@ -1 +1,2 @@
++#!/bin/bash
+ echo $1 >> ./data/userlist
+diff --git a/php/bin/uptime b/php/bin/uptime
+index 9f9e981..531515a 100755
+--- a/php/bin/uptime
++++ b/php/bin/uptime
+@@ -1,2 +1,3 @@
++#!/bin/bash
+ #uptime
+ uptime | cut -d',' -f 1 
